oracle.pgx.config

## Class AbstractPgGraphConfig

- java.lang.Object
- - oracle.pgx.config.AbstractConfig
  - - oracle.pgx.config.GraphConfig
    - - oracle.pgx.config.AbstractPgGraphConfig

- Direct Known Subclasses:
    PgHbaseGraphConfig, PgNosqlGraphConfig

      public abstract class AbstractPgGraphConfig
      extends GraphConfig

  Base class for Property Graph (PG) graph configuration objects

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPgGraphConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Object` | `getConnection()` Gets the connection.
    `abstract String` | `getDateFormat()` Gets the date format to use when loading and storing date properties.
    `abstract DbEngine` | `getDbEngine()` Gets the target database engine of this configuration.
    `abstract Integer` | `getMaxNumConnections()` Gets the maximum number of connections of this configuration.
    `Object` | `getOraclePropertyGraph()` Gets the OraclePropertyGraph object.
    `IdType` | `getVertexIdType()` Get the vertex ID type of this graph configuration
    `int` | `hashCode()`
    `abstract Boolean` | `isLoadEdgeLabel()` Checks if the edge label should be loaded in this configuration.
    `void` | `setConnection(Object connection)` Sets the connection.
    `void` | `setOraclePropertyGraph(Object opg)` Sets the OraclePropertyGraph object.

    - ### Methods inherited from class oracle.pgx.config.GraphConfig

      `getEdgePropertyDefault, getEdgePropertyName, getEdgePropertyType, getEdgeProps, getErrorHandling, getFormat, getLoading, getName, getNodeKeyType, getNodePropertyDefault, getNodePropertyName, getNodePropertyType, getVertexProps, isFileFormat, isFileFormat, numEdgeProperties, numNodeProperties`

    - ### Methods inherited from class oracle.pgx.config.AbstractConfig

      `setSerializable`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPgGraphConfig

          public AbstractPgGraphConfig()

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `GraphConfig`

    - #### getConnection

          public Object getConnection()

      Gets the connection.
      Returns:
        the connection

    - #### getDateFormat

          public abstract String getDateFormat()

      Gets the date format to use when loading and storing date properties. It uses the same format string as SimpleDateFormat
      Returns:
        the date format used for loading the graph

    - #### getDbEngine

          public abstract DbEngine getDbEngine()

      Gets the target database engine of this configuration.
      Returns:
        the database engine

    - #### getMaxNumConnections

          public abstract Integer getMaxNumConnections()

      Gets the maximum number of connections of this configuration.
      Returns:
        the maximum number of connections

    - #### getOraclePropertyGraph

          public Object getOraclePropertyGraph()

      Gets the OraclePropertyGraph object.
      Returns:
        the OraclePropertyGraph object, or NULL if not set

    - #### getVertexIdType

          public IdType getVertexIdType()

      Description copied from class: `GraphConfig`
      Get the vertex ID type of this graph configuration
      Specified by:
        `getVertexIdType` in class `GraphConfig`
      Returns:
        the vertex ID type

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `GraphConfig`

    - #### isLoadEdgeLabel

          public abstract Boolean isLoadEdgeLabel()

      Checks if the edge label should be loaded in this configuration.
      Returns:
        true, if edge label should be loaded

    - #### setConnection

          public void setConnection(Object connection)

      Sets the connection.
      Parameters:
        `connection` - the new connection

    - #### setOraclePropertyGraph

          public void setOraclePropertyGraph(Object opg)

      Sets the OraclePropertyGraph object. If set, the given object will be used for data loading.

Copyright © 2015. All rights reserved.